Skip to main content
POST
/
verifications
curl --request POST \
  --url https://clear-api.nfigate.com/api/v1/verifications \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "subjectType": "kyc",
  "subjectReference": "user-12345",
  "metadata": {
    "customerId": "cus_12345"
  }
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "type": "kyc",
    "subjectReference": "<string>",
    "status": "pending",
    "requestedAt": "2023-11-07T05:31:56Z",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "currentStep": 123,
    "verificationUrl": "<string>",
    "submittedData": {}
  },
  "message": "<string>"
}

Create Verification

Create a new verification request for an individual (KYC) or business (KYB).

Request

Headers

HeaderRequiredDescription
X-API-KeyYesYour API key
Content-TypeYesMust be application/json

Body Parameters

{
  "subjectType": "kyc",
  "subjectReference": "user-12345",
  "metadata": {
    "customerId": "cus_12345"
  }
}
ParameterTypeRequiredDescription
subjectTypestringYesType of verification: kyc or kyb
subjectReferencestringYesYour unique identifier for this subject
metadataobjectNoAdditional data to store with the verification

Response

Success (201 Created)

{
  "success": true,
  "data": {
    "id": "abc123def456",
    "type": "kyc",
    "subjectReference": "user-12345",
    "status": "pending",
    "requestedAt": "2024-01-15T10:30:00.000Z",
    "currentStep": 0,
    "verificationUrl": "https://app.nfi-clear.com/verify/abc123def456"
  },
  "message": "Verification created successfully"
}

Example

cURL

curl -X POST 'https://clear-api.nfigate.com/api/v1/verifications' \
  -H 'X-API-Key: nfi_your_api_key_here' \
  -H 'Content-Type: application/json' \
  -d '{
    "subjectType": "kyc",
    "subjectReference": "user-12345",
    "metadata": {
      "customerId": "cus_12345"
    }
  }'

JavaScript

const response = await fetch('https://clear-api.nfigate.com/api/v1/verifications', {
  method: 'POST',
  headers: {
    'X-API-Key': 'nfi_your_api_key_here',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    subjectType: 'kyc',
    subjectReference: 'user-12345',
  }),
});

const data = await response.json();
console.log('Verification URL:', data.data.verificationUrl);

Error Responses

StatusCodeDescription
400INVALID_SUBJECT_TYPEsubjectType must be “kyc” or “kyb”
400MISSING_SUBJECT_REFERENCEsubjectReference is required
403NO_ACTIVE_SUBSCRIPTIONNo active subscription found
403LIMIT_EXCEEDEDMonthly verification limit reached
409DUPLICATE_SUBJECT_REFERENCEActive verification already exists

Authorizations

X-API-Key
string
header
required

Your API key from the dashboard

Body

application/json
subjectType
enum<string>
required

Type of verification

Available options:
kyc,
kyb
subjectReference
string
required

Your unique identifier

metadata
object

Additional data

Response

Verification created successfully

success
boolean
data
object
message
string